Publised resources Default Settings

Get

get

Retrieve default settings used to configure published resources for a specific Site

Query parameters
siteIdinteger · int32Optional

Site ID from which to retrieve the defaults

Responses
chevron-right
200

Success

application/json; api-version=1.0

Contains default settings for published resources

siteIdinteger · int32Optional

ID of the Site.

startPathstring · nullableOptional

Starting path of the settings.

createShortcutOnDesktopbooleanOptional

Whether the 'Create shortcut on Desktop' option is enabled or not.

createShortcutInStartFolderbooleanOptional

Whether the 'Create shortcut in Start Folder' option is enabled or not.

createShortcutInStartUpFolderbooleanOptional

Whether the 'Create shortcut in Auto Start Folder' option is enabled or not.

replicateShortcutSettingsbooleanOptional

Whether the 'Replicate Shortcut Settings' option is enabled or not.

replicateDisplaySettingsbooleanOptional

Whether the 'Replicate Display Settings' option is enabled or not.

waitForPrintersbooleanOptional

Whether the option 'Wait until all RAS Universal Printers are redirected before showing the application' is enabled or not.

startMaximizedbooleanOptional

Whether the option 'Start Maximized' is enabled or not.

startFullscreenbooleanOptional

Whether the option 'StartFullscreen' is enabled or not.

waitForPrintersTimeoutinteger · int32Optional

Printer redirection timeout (in seconds). Works together with the WaitForPrinters parameter.

colorDepthstring · enumOptional

Color Depth

Possible values:
disableSessionSharingbooleanOptional

Whether the option 'Disable Session Sharing' is enabled or not.

oneInstancePerUserbooleanOptional

Whether the option 'Allow users to start only one instance of the application' is enabled or not.

conCurrentLicensesinteger · int32Optional

Specifies the number of concurrent licenses (the 'Concurrent licenses' option).

licenseLimitNotifystring · enumOptional

Defines actions to perform when the license limit is exceeded.

Possible values:
replicateLicenseSettingsbooleanOptional

Whether the option 'Replicate license settings' is enabled or not.

replicateMaintenancebooleanOptional

Whether the option 'Replicate Maintenance' is enabled or not.

get
/api/PubDefaultSettings

Update

put

Modify default settings used to configure published resources for a specific Site

Query parameters
siteIdinteger · int32Optional

Site ID from which to update the defaults

Body

Update default settings of published resources

createShortcutOnDesktopboolean · nullableOptional

Enable or disable the 'Create shortcut on Desktop' option.

replicateShortcutSettingsboolean · nullableOptional

Enable or disable the 'Replicate settings' option.

createShortcutInStartFolderboolean · nullableOptional

Enable or disable the 'Create shortcut in Start folder' option.

createShortcutInStartUpFolderboolean · nullableOptional

Enable or disable the 'Create shortcut in Auto Start folder' option.

startPathstring · min: 1 · max: 255 · nullableOptional

Specifies a path in the Start folder.

replicateDisplaySettingsboolean · nullableOptional

Enable or disable the "Replicate settings option'. This will replicate display settings to all sites.

startMaximizedboolean · nullableOptional

Enable or disable the 'Start the application as maximized when using mobile clients" option.

startFullscreenboolean · nullableOptional

Enable or disable the 'Start in fullscreen mode for WYSE ThinOS clients" option.

waitForPrintersboolean · nullableOptional

Enable or disable the 'Wait until all RAS Universal Printers are redirected before showing the application" option.

waitForPrintersTimeoutinteger · int32 · nullableOptional

Printer redirection timeout (in seconds). Works together with the WaitForPrinters parameter.

colorDepthstring · enumOptional

Color Depth

Possible values:
replicateLicenseSettingsboolean · nullableOptional

Enable or disable the 'Replicate settings' option. This will replicate license settings to all sites.

disableSessionSharingboolean · nullableOptional

Enable or disable the 'Disable session sharing' option.

oneInstancePerUserboolean · nullableOptional

Enable or disable the 'Allow users to start only one instance of the application' option.

conCurrentLicensesinteger · int32 · nullableOptional

Specifies the number of concurrent licenses (the 'Concurrent licenses' option).

licenseLimitNotifystring · enumOptional

Defines actions to perform when the license limit is exceeded.

Possible values:
maintenanceMessage_en_USstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in English.

maintenanceMessage_ja_JPstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Japanese.

maintenanceMessage_fr_FRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in French.

maintenanceMessage_es_ESstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Spanish.

maintenanceMessage_it_ITstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Italian.

maintenanceMessage_pt_BRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Portuguese.

maintenanceMessage_de_DEstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in German.

maintenanceMessage_nl_NLstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Dutch.

maintenanceMessage_zh_TWstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Traditional).

maintenanceMessage_zh_CNstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Chinese (Simplified).

maintenanceMessage_ko_KRstring · min: 1 · max: 255 · nullableOptional

Maintenance message for the published resource in Korean.

replicateMaintenanceboolean · nullableOptional

Enable or disable the 'Replicate Maintenance' option.

Responses
put
/api/PubDefaultSettings

No content

Last updated